%define majver %(echo %version | cut -d_ -f1)
Name:          jmol
Version:       14.2.9_2014.11.23
Release:       1mamba
Summary:       Jmol is a Java based application and an applet for displaying 3D chemical information.
Group:         Graphical Desktop/Applications/Educational
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://jmol.sourceforge.net/download/
Source:        http://downloads.sourceforge.net/project/jmol/Jmol/Version%2014.2/Version%20%{majver}/Jmol-%{version}-full.tar.gz
Source1:       jmol.png
License:       LGPL
## AUTOBUILDREQ-BEGIN
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Jmol is a Java based application and an applet for displaying 3D chemical information.

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

install -d -m0755 %{buildroot}%{_datadir}/jmol
cp -a * %{buildroot}%{_datadir}/jmol/

rm -rf %{buildroot}%{_datadir}/jmol/{jmol.zip,src,manifest}
install -D -m0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/jmol.png
install -D -m0755 jmol %{buildroot}%{_bindir}/jmol

# Create the system menu entry
install -d -m0755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
GenericName=An applet for displaying 3D chemical information.
GenericName[it]=Applet per mostrare formule chimiche in 3d
Comment=jmol is a Java based application and an applet for displaying 3D chemical information.
Comment[de]=3D-Betrachter für Molekül- und Kristall-Strukturen
Exec=%{_bindir}/jmol
Icon=%{_datadir}/pixmaps/jmol.png
Terminal=0
Type=Application
X-KDE-StartupNotify=false
Categories=Education;Science;
EOF

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/jmol
%{_datadir}/applications/jmol.desktop
%{_datadir}/pixmaps/jmol.png
%dir %{_datadir}/jmol
%{_datadir}/jmol/*
%doc LICENSE.txt COPYRIGHT.txt

%changelog
* Sun Dec 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 14.2.9_2014.11.23-1mamba
- update to 14.2.9_2014.11.23

* Tue Aug 27 2013 Automatic Build System <autodist@mambasoft.it> 11.4.4-2mamba
- automatic rebuild by autodist

* Sun Jun 15 2008 gil <puntogil@libero.it> 11.4.4-1mamba
- update to 11.4.4

* Fri Jul 22 2005 Alessandro Ramazzina <alessandro.ramazzina@qilinux.it> full-1qilnx
- package created by autospec
